// Moving Camera Tool
// Here is the code that deals with incoming usermessages
// In order to work on the client's machine, this is extremely important.

function Init(um)
	local camman = um:ReadEntity()
	
	if(!camman:IsValid()) then return end
	
	//camman:Initialize()
end

usermessage.Hook("MovingCamera_Init", Init)

function Update(um)
	local camman = um:ReadEntity()
	local campt = um:ReadEntity()
	local camindex = um:ReadFloat()
	
	if(!camman:IsValid() or !campt:IsValid() or !camindex) then return end
	
	camman:AddCamera(campt, camindex)
end

usermessage.Hook("MovingCamera_Update", Update)

function Start(um)
	local camman = um:ReadEntity()
	local cament = um:ReadEntity()
	
	if(!camman:IsValid()) then return end
	if(cament) then return end
	
	camman:Start(cament)
end

usermessage.Hook("MovingCamera_Start", Start)

function Stop(um)
	local camman = um:ReadEntity()
	
	if(!camman:IsValid()) then return end
	if(!camman.On) then return end
	
	camman:Stop()
end

usermessage.Hook("MovingCamera_Stop", Stop)

function CheckPoints(um)
	local camman = um:ReadEntity()
	
	if(!camman:IsValid()) then return end
	
	camman:CheckPoints()
end

usermessage.Hook("MovingCamera_CheckPoints", Stop)